MCP Tools Reference: redis.googleapis.com

Tool: get_instance_auth_string

Get the AUTH string for a Memorystore for Redis instance.

The following sample demonstrate how to use curl to invoke the get_instance_auth_string MCP tool.

Curl Request
                  
curl --location 'https://redis.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_instance_auth_string",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for GetInstanceAuthString.

GetInstanceAuthStringRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. Redis instance resource name using the form: projects/{project_id}/locations/{location_id}/instances/{instance_id} where location_id refers to a GCP region.

Output Schema

Instance AUTH string details.

InstanceAuthString

JSON representation
{
  "authString": string
}
Fields
authString

string

AUTH string set on the instance.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌